### Method

# EDataServer SourceCamel get_settings

since: 3.6

#### Declaration [src]

    CamelSettings*
    e_source_camel_get_settings (
      ESourceCamel* extension
    )

#### Description [src]

Returns `extension`‘s `ESourceCamel:settings` instance, pre-configured from the `ESource` to which `extension` belongs. Changes to the `ESource` will automatically propagate to the `ESourceCamel:settings` instance and vice versa.

This is essentially the glue that binds `ESource` to `CamelService`. See e_source_camel_configure_service().

Available since: 3.6

Gets property | `EDataServer.SourceCamel:settings`

#### Return value

Type: `CamelSettings`

A configured `CamelSettings` instance.

The returned data is owned by the instance.